ubuntu eclipse svn插件问题

jackzlz 发布于 2016/01/14 11:21
阅读 172
收藏 0

ubuntu下的eclipse svn插件创建资源库时出现以下错误

验证位置时出现错误:“org.trigris.subversion.javahl.ClientException:svn:Handshake failed,received”


eclipse从4.2,4.4,4.5版本都已经尝试过,svn插件1.4,1.6,1.8,1.10所有版本都尝试过。全部都是这个错误,用客户端连接没有问题,只有在eclipse中使用插件才出现这个错误。

求各位大神支招,感激不尽!

加载中
0
zn123
zn123
是不是没装好,删掉重装
jackzlz
jackzlz
回复 @zn123 : 命令行没有问题。
zn123
zn123
@jackzlz 试试命令行能不能使用,会不会权限不够
jackzlz
jackzlz
应该不是安装的问题,我都重装过好多遍了。各种eclipse和svn版本都试过。
0
小刺客
小刺客
感觉是权限的问题,svn的几个jar被锁住了吧。。。
jackzlz
jackzlz
我在网上找了个测试地址(svn://www.oksvn.com/test)又是可以的,然后我自己在本机也起了svn服务,连接还是同样的错误。很奇怪,真的要崩溃了!
0
jackzlz
jackzlz

找到原因了!原来是网络连接设置的问题,默认走了我的ss代理,导致连接不上内网。找到首选项-网络连接,把active provider修改为Manual(默认是Native)就可以了。太坑爹了!!!

返回顶部
顶部